System Requirements
Return to Introduction
This solution/solution pack requires Formativ to be installed on your computer.

To suit the variety of user needs, Formativ offers a range of products, each delivering a unique feature set. If you wish to run Formativ solutions, as a minimum you will need Formativ Runtime installed. If, as well as running solutions, you wish to develop new solutions or change the way existing Formativ solutions are integrated with GroupWise, you will need Formativ Creator or Formativ Studio.

Review the list below to determine the most appropriate version of Formativ for specific needs. You can download a copy of Formativ from the Advansys Formativ Download page (requires an Internet connection).

Formativ Runtime

· Runs Flexalock and Encoded solutions (99% of available solutions).
· Cannot change solution integrations.

Formativ Creator

· Runs Open Source, Flexalock and Encoded solutions.
· Can change solution integrations.
· Can create new solutions.

Formativ Studio

· Runs Open Source, Flexalock and Encoded solutions.
· Can change solution integrations.
· Can create new solutions.
· Secure Formativ solutions deployment via Novell eDirectory.


Installation
Return to Introduction
This solution/solution pack may be installed using the setup program supplied. Most small installations are best carried out using this method. The standard setup program displays a series of dialogs which guide you through the installation process.

The setup program can also be executed using optional command line switches, which enable you to customize your Formativ installation. In general, command line switches are used by advanced users and System Administrators to install Formativ to large numbers of workstations.


Standard Installation
Return to Introduction
Manual installation is performed by running the setup program supplied. Copy the setup program to your hard disk and execute it by double clicking the setup file in File Explorer, or by executing it from a Windows command session.

Note: The following screen images were taken from the Anniversaries Solution setup program. The solution name will vary from that shown below.

1. Run the solution setup program. The installation begins and the Licence Agreement is displayed. If you accept the terms of the licence agreement, press Yes. Otherwise, press No and the installation will terminate.

licencefile
Licence Agreement Dialog

2. The Welcome dialog appears. It is recommended that all active Windows programs be shut down at this point. In particular, ensure that the GroupWise client is not running. Once all active programs are closed, press Next to continue.

welcome
Welcome Dialog

3. The Install for the Current User, or All Users dialog appears.

During installation the solution may create a number of user settings. When installing Formativ, by default these settings apply to the current Windows user. You can accept the default (Current User) or you can specify that installation settings should apply to all Windows users defined for the workstation. Unless you are an Administrator, it is recommended you accept the default and install for the Windows current user only.

allusers
Install for Current or All Users Dialog

2. The Backup replaced files dialog appears.

backupreplaced
Backup Dialog

Optionally, you can choose to backup Formativ files replaced during the installation. If you select yes, replaced files will be rolled back during the uninstall process. Press Next to continue.

4. A final confirmation dialog appears.

startinstall
Read to Install Dialog

If you are ready to install, Press Next.

5. Installation Complete.

Once Formativ has been successfully installed the following dialog is displayed:

installdone
Installation Complete Dialog


Command Line Switches
Return to Introduction
Designed to make it easier for Administrators to configure the installation, Formativ Studio, Creator, Runtime, Express and the Solutions Engine setup programs support an identical set of command line switches. All command line switches are case-insensitive.

Silent Mode

/s

Run the installation in the background without any user interface. This is useful when configuring unattended installations. If used, this switch must be the first switch to appear on the command line.

Install for All Users

/allusers

Installs the solution so it is available to all Windows users configured for the workstation.

Remove old Business Solution Pack Solutions

/removeoldbsp

When installing a newer applet version, the installer deletes existing 1.6 Business Solution Pack Applet files from the workstation. If this switch is not specified, and an old Applet is found, by default it is renamed with a .replaced file extension.


.topic 91
This solution/solution pack requires Formativ to be installed on your computer.

To suit the variety of user needs, Formativ offers a range of products, each delivering a unique feature set.  If you wish to run Formativ solutions, as a minimum you will need Formativ Runtime installed.  If, as well as running solutions, you wish to develop new solutions or change the way existing Formativ solutions are integrated with GroupWise, you will need Formativ Creator or Formativ Studio.

Review the list below to determine the most appropriate version of Formativ for specific needs.  You can download a copy of Formativ from the Advansys Formativ Download page (requires an Internet connection).

Formativ Runtime

Runs Flexalock and Encoded solutions (99% of available solutions).
Cannot change solution integrations.

Formativ Creator

Runs Open Source, Flexalock and Encoded solutions.
Can change solution integrations.
Can create new solutions.

Formativ Studio

Runs Open Source, Flexalock and Encoded solutions.
Can change solution integrations.
Can create new solutions.
Secure Formativ solutions deployment via Novell eDirectory.

.topic 31
This solution/solution pack may be installed using the setup program supplied.  Most small installations are best carried out using this method.  The standard setup program displays a series of dialogs which guide you through the installation process.

The setup program can also be executed using optional command line switches, which enable you to customize your Formativ installation.  In general, command line switches are used by advanced users and System Administrators to install Formativ to large numbers of workstations.

.topic 1
Manual installation is performed by running the setup program supplied.  Copy the setup program to your hard disk and execute it by double clicking the setup file in File Explorer, or by executing it from a Windows command session.

Note:	The following screen images were taken from the Anniversaries Solution setup program.  The solution name will vary from that shown below.

1.	Run the solution setup program.  The installation begins and the Licence Agreement is displayed.  If you accept the terms of the licence agreement, press Yes.  Otherwise, press No and the installation will terminate.

2.	The Welcome dialog appears.  It is recommended that all active Windows programs be shut down at this point.  In particular, ensure that the GroupWise client is not running.  Once all active programs are closed, press Next to continue.

3.	The Install for the Current User, or All Users dialog appears.

During installation the solution may create a number of user settings.  When installing Formativ, by default these settings apply to the current Windows user.  You can accept the default (Current User) or you can specify that installation settings should apply to all Windows users defined for the workstation.  Unless you are an Administrator, it is recommended you accept the default and install for the Windows current user only.

2.	The Backup replaced files dialog appears.

Optionally, you can choose to backup Formativ files replaced during the installation.  If you select yes, replaced files will be rolled back during the uninstall process.  Press Next to continue.

4.	A final confirmation dialog appears.

If you are ready to install, Press Next.

5.	Installation Complete.

Once Formativ has been successfully installed the following dialog is displayed:

.topic 11
Designed to make it easier for Administrators to configure the installation, Formativ Studio, Creator, Runtime, Express and the Solutions Engine setup programs support an identical set of command line switches.  All command line switches are case-insensitive.

Silent Mode

/s

Run the installation in the background without any user interface.  This is useful when configuring unattended installations.  If used, this switch must be the first switch to appear on the command line.

Install for All Users

/allusers

Installs the solution so it is available to all Windows users configured for the workstation.

Remove old Business Solution Pack Solutions

/removeoldbsp

When installing a newer applet version, the installer deletes existing 1.6 Business Solution Pack Applet files from the workstation.  If this switch is not specified, and an old Applet is found, by default it is renamed with a .replaced file extension.

.topic 100001
No Help topic is associated with this item.

.topic 100002
OK Button

Applies changes you have made and then
closes this dialog box.

.topic 100003
Cancel Button

Closes this dialog box without saving the changes
you have made.

.topic 100004
Close

Closes the current window.

.topic 100005
Help

Displays a help topic that gives you an
overview of this dialog.

.topic 100006
Apply Button

Saves all changes you have made
without closing the dialog box.

.topic 100010
What's This? Button

Click to start up a temporary, context-sensitive help mode. In this mode you can left-click any object to display a context-sensitive help window for that object. The help window provides a brief explanation about the object and how to use it.

Note
Press ESC to cancel context sensitive help.

.topic 100011
What's This? (Help Menu)

Starts up a temporary, context-sensitive help mode.
In this help mode you can left-click any object to display a context-sensitive help window for that object. The help window provides a brief explanation about the object and how to use it.

Note
Press ESC to cancel the context sensitive help mode.